#!/bin/sh

# NB: The .alhConfig scripts permit ALH to start MEDM, so we need to have
# the MEDM setups done as well.

# Where are we?
cd `dirname "$0"`
TOP=`/bin/pwd`

# What are we running on?
case `uname -sp` in
    "Linux i386" | "Linux i486" | "Linux i586" | "Linux i686")
        ARCH=linux-x86
        X11='/usr/bin'
        export LD_LIBRARY_PATH="$TOP/lib/$ARCH"
        ;;
    "Linux x86_64")
        ARCH=linux-x86_64
        X11='/usr/bin'
        export LD_LIBRARY_PATH="$TOP/lib/$ARCH"
        ;;
    "SunOS sparc")
        ARCH=solaris-sparc
        X11='/usr/openwin/bin'
        LD_LIBRARY_PATH="$TOP/lib/$ARCH"
        export LD_LIBRARY_PATH
        ;;
    "SunOS i386")
        ARCH=solaris-x86
        X11='/usr/openwin/bin'
        LD_LIBRARY_PATH="$TOP/lib/$ARCH"
        export LD_LIBRARY_PATH
        ;;
    "Darwin powerpc" | "Darwin i386")
        echo "Use startAlh.command on Darwin (MacOS)"
        exit 1
        ;;
    *)
        echo "Virtual Linac doesn't support this architecture : `uname -sp`"
        exit 1
        ;;
esac
BIN="$TOP/bin/$ARCH"

# Disable external network activity
EPICS_CA_AUTO_ADDR_LIST=NO
EPICS_CA_ADDR_LIST=localhost
export EPICS_CA_AUTO_ADDR_LIST
export EPICS_CA_ADDR_LIST

# X11 font configuration for MEDM
if [ -f "$EPICS_DISPLAY_PATH/fonts.alias" -a -z "`$X11/xlsfonts -fn '*widgetdm*' 2>/dev/null`" ]
then
    # FIXME: This doesn't work if only a font server is used...
    $X11/xset fp+ "$EPICS_DISPLAY_PATH" 2>/dev/null
    sleep 1
fi

# Substitute our $USER's name in the alhConfig files
cd "$TOP/alh"
if [ ! -f linac.$USER.alhConfig ]
then
    sed -e "s/@USER@/$USER/g" linac.alhConfig.in >linac.$USER.alhConfig
fi
if [ ! -f linac_final.$USER.alhConfig ]
then
    sed -e "s/@USER@/$USER/g" linac_final.alhConfig.in >linac_final.$USER.alhConfig
fi

# Run ALH
exec $BIN/alh
