#!/bin/sh

# Where are we?
cd `dirname "$0"`
TOP=`/bin/pwd`

# What are we running on?
case `uname -sp` in
    "Linux i386" | "Linux i486" | "Linux i586" | "Linux i686")
        ARCH=linux-x86
        X11='/usr/bin'
        export LD_LIBRARY_PATH="$TOP/lib/$ARCH"
        ;;
    "Linux x86_64")
        ARCH=linux-x86_64
        X11='/usr/bin'
        export LD_LIBRARY_PATH="$TOP/lib/$ARCH"
        ;;
    "SunOS sparc")
        ARCH=solaris-sparc
        X11='/usr/openwin/bin'
        LD_LIBRARY_PATH="$TOP/lib/$ARCH"
        export LD_LIBRARY_PATH
        ;;
    "SunOS i386")
        ARCH=solaris-x86
        X11='/usr/openwin/bin'
        LD_LIBRARY_PATH="$TOP/lib/$ARCH"
        export LD_LIBRARY_PATH
        ;;
    "Darwin powerpc" | "Darwin i386")
        echo "Use startMedm.command on Darwin (MacOS)"
        exit 1
        ;;
    *)
        echo "Virtual Linac doesn't support this architecture : `uname -sp`"
        exit 1
        ;;
esac
BIN="$TOP/bin/$ARCH"

# Point MEDM at our directory containing .adl and font alias files
EPICS_DISPLAY_PATH="$TOP/medm"
export EPICS_DISPLAY_PATH

# Disable external network activity
EPICS_CA_AUTO_ADDR_LIST=NO
EPICS_CA_ADDR_LIST=localhost
export EPICS_CA_AUTO_ADDR_LIST
export EPICS_CA_ADDR_LIST

# X11 font configuration for MEDM
if [ -f "$EPICS_DISPLAY_PATH/fonts.alias" -a -z "`$X11/xlsfonts -fn '*widgetdm*' 2>/dev/null`" ]
then
    # FIXME: This doesn't work if only a font server is used...
    $X11/xset fp+ "$EPICS_DISPLAY_PATH" 2>/dev/null
    sleep 1
fi

# Start a CA Repeater, quietly
$BIN/caRepeater 2>&1 >/dev/null &

# Run MEDM
exec $BIN/medm -dg +0+15 -local -x -macro "user=$USER" Virtual_Linac.adl
