#!/bin/sh

# Where are we?
cd `dirname "$0"`
TOP=`/bin/pwd`

case `uname -sp` in
    "Darwin i386")
        ARCH=darwin-x86
        ;;
    "Darwin powerpc")
        ARCH=darwin-ppc
        ;;
    *)
        echo "This script is intended for Darwin (MacOS) only"
        exit 1
        ;;
esac

X11='/usr/X11/bin'
BIN="$TOP/bin/$ARCH"
export DYLD_LIBRARY_PATH="$TOP/lib/$ARCH"

# Disable external network activity
export EPICS_CA_AUTO_ADDR_LIST=NO
export EPICS_CA_ADDR_LIST=localhost

if [ -z "$DISPLAY" ]
then
    # NB: This value for DISPLAY isn't always correct...
    export DISPLAY=":0.0"
fi

if $X11/xset -q >& /dev/null
then
    :
else
    open /Applications/Utilities/X11.app
    sleep 2
    until $X11/xset -q >&/dev/null
    do
        sleep 2
    done
fi

# Run Probe
exec $BIN/probe
